freeslot(
	"SKINCOLOR_S1BLUE",	//Sonic 1/CD palette (Sonic/Metal Sonic)
	"SKINCOLOR_S1PROTOBLUE",	//Sonic 1 prototype palette (Sonic)
	"SKINCOLOR_S1MSBLUE",	//Sonic 1 8-bit palette (Sonic)
	"SKINCOLOR_S1BETABLUE",	//Sonic 1 beta remake palette (Sonic)
	"SKINCOLOR_S1EXPBLUE",	//Sonic 1/CD expanded palette (Sonic/Metal Sonic)
	"SKINCOLOR_S1ORANGE",	//Stealth's "Sonic for MegaCD palette" (Tails)
	"SKINCOLOR_S1RED",	//Stealth's "Knuckles in Sonic 1" (Knuckles)
	"SKINCOLOR_CDROSY"	//Sonic CD palette (Amy Rose)
)

skincolors[SKINCOLOR_S1BLUE] = {
	name = "S1Blue",
	ramp = {8, 145, 148, 172, 173, 173, 157, 157, 157, 158, 158, 159, 253, 254, 30, 31},
	invcolor = SKINCOLOR_TAN,
	invshade = 9,
	chatcolor = V_COBALTMAP,
	accessible = true
}

skincolors[SKINCOLOR_S1PROTOBLUE] = {
	name = "S1ProtoBlue",
	ramp = {0, 145, 146, 147, 148, 149, 149, 150, 150, 154, 173, 175, 159, 253, 254, 31},
	invcolor = SKINCOLOR_YELLOW,
	invshade = 9,
	chatcolor = V_BLUEMAP,
	accessible = true
}
	M_MoveColorAfter(SKINCOLOR_S1PROTOBLUE, SKINCOLOR_S1BLUE)

skincolors[SKINCOLOR_S1MSBLUE] = {
	name = "S1MSBlue",
	ramp = {0, 145, 170, 170, 171, 149, 149, 150, 151, 154, 155, 158, 253, 253, 254, 31},
	invcolor = SKINCOLOR_YELLOW,
	invshade = 9,
	chatcolor = V_CORNFLOWERMAP,
	accessible = true
}
	M_MoveColorAfter(SKINCOLOR_S1MSBLUE, SKINCOLOR_S1PROTOBLUE)

skincolors[SKINCOLOR_S1BETABLUE] = {
	name = "S1BetaBlue",
	ramp = {0, 129, 132, 134, 135, 135, 136, 136, 136, 137, 137, 137, 138, 138, 139, 31},
	invcolor = SKINCOLOR_APRICOT,
	invshade = 9,
	chatcolor = V_CYANMAP,
	accessible = true
}
	M_MoveColorAfter(SKINCOLOR_S1BETABLUE, SKINCOLOR_S1MSBLUE)

skincolors[SKINCOLOR_S1EXPBLUE] = {
	name = "S1ExpBlue",
	ramp = {0, 145, 148, 149, 172, 172, 172, 173, 173, 168, 168, 169, 169, 253, 254, 31},
	invcolor = SKINCOLOR_PERIDOT,
	invshade = 9,
	chatcolor = V_COBALTMAP,
	accessible = true
}
	M_MoveColorAfter(SKINCOLOR_S1EXPBLUE, SKINCOLOR_S1BETABLUE)

skincolors[SKINCOLOR_S1ORANGE] = {
	name = "S1Orange",
	ramp = {217, 218, 220, 222, 224, 226, 228, 232, 235, 237, 46, 46, 47, 47, 30, 31},
	invcolor = SKINCOLOR_ICY,
	invshade = 9,
	chatcolor = V_TANMAP,
	accessible = true
}
	M_MoveColorAfter(SKINCOLOR_S1ORANGE, SKINCOLOR_S1EXPBLUE)

skincolors[SKINCOLOR_S1RED] = {
	name = "S1Red",
	ramp = {0, 211, 34, 215, 38, 42, 44, 46, 46, 46, 46, 46, 47, 47, 30, 31},
	invcolor = SKINCOLOR_SKY,
	invshade = 9,
	chatcolor = V_CRIMSONMAP,
	accessible = true
}
	M_MoveColorAfter(SKINCOLOR_S1RED, SKINCOLOR_S1ORANGE)

skincolors[SKINCOLOR_CDROSY] = {
	name = "CDRosy",
	ramp = {0, 176, 177, 178, 178, 179, 192, 194, 195, 205, 206, 185, 185, 185, 187, 31},
	invcolor = SKINCOLOR_FOREST,
	invshade = 9,
	chatcolor = V_ROSYMAP,
	accessible = true
}
	M_MoveColorAfter(SKINCOLOR_CDROSY, SKINCOLOR_S1RED)