freeslot(
	"SKINCOLOR_SCBLUE",	//Sonic Chaos palette (Sonic)
	"SKINCOLOR_SCORANGE",	//Sonic Chaos palette (Tails)
	"SKINCOLOR_STTBLUE",	//Sonic Triple Trouble palette (Sonic/Fang/Metal Sonic)
	"SKINCOLOR_STTORANGE",	//Sonic Triple Trouble palette (Tails)
	"SKINCOLOR_SD2RED",	//Sonic Drift palette (Knuckles/Amy Rose)
	"SKINCOLOR_KCBLUE",	//Knuckles' Chaotix palette (Sonic/Metal Sonic)
	"SKINCOLOR_KCORANGE",	//Knuckles' Chaotix palette (Tails)
	"SKINCOLOR_KCRED",	//Knuckles' Chaotix palette (Knuckles)
	"SKINCOLOR_KCWHITE",	//Knuckles' Chaotix palette (Knuckles?)
	"SKINCOLOR_S3DBLUE",	//Sonic 3D Blast palette (Sonic)
	"SKINCOLOR_S3DORANGE",	//Sonic 3D Blast palette (Tails)
	"SKINCOLOR_S3DRED"	//Sonic 3D Blast palette (Knuckles)
//	"SKINCOLOR_MANIASKY",	Sonic Mania palette (Sonic)
//	"SKINCOLOR_MANIAORANGE"	Sonic Mania palette (Sonic)
)

skincolors[SKINCOLOR_SCBLUE] = {
	name = "SCBlue",
	ramp = {0, 144, 145, 145, 146, 147, 148, 149, 149, 150, 154, 155, 157, 159, 254, 31},
	invcolor = SKINCOLOR_YELLOW,
	invshade = 9,
	chatcolor = V_CORNFLOWERMAP,
	accessible = true
}
	M_MoveColorAfter(SKINCOLOR_SCBLUE, SKINCOLOR_S3ROSY)

skincolors[SKINCOLOR_SCORANGE] = {
	name = "SCOrange",
	ramp = {0, 208, 216, 49, 50, 52, 66, 58, 60, 63, 71, 46, 47, 47, 30, 31},
	invcolor = SKINCOLOR_BLUE,
	invshade = 9,
	chatcolor = V_ORANGEMAP,
	accessible = true
}
	M_MoveColorAfter(SKINCOLOR_SCORANGE, SKINCOLOR_SCBLUE)
	
skincolors[SKINCOLOR_STTBLUE] = {
	name = "STTBlue",
	ramp = {0, 146, 147, 148, 148, 149, 149, 149, 150, 155, 157, 158, 159, 253, 254, 31},
	invcolor = SKINCOLOR_YELLOW,
	invshade = 9,
	chatcolor = V_BLUEMAP,
	accessible = true
}
	M_MoveColorAfter(SKINCOLOR_STTBLUE, SKINCOLOR_SCORANGE)
	
skincolors[SKINCOLOR_STTORANGE] = {
	name = "STTOrange",
	ramp = {0, 208, 49, 50, 51, 52, 53, 67, 68, 68, 69, 70, 71, 47, 30, 31},
	invcolor = SKINCOLOR_BLUE,
	invshade = 9,
	chatcolor = V_ORANGEMAP,
	accessible = true
}
	M_MoveColorAfter(SKINCOLOR_STTORANGE, SKINCOLOR_STTBLUE)
	
skincolors[SKINCOLOR_SD2RED] = {
	name = "SD2Red",
	ramp = {0, 49, 52, 34, 34, 37, 38, 38, 40, 41, 42, 44, 71, 47, 30, 31},
	invcolor = SKINCOLOR_SKY,
	invshade = 9,
	chatcolor = V_REDMAP,
	accessible = true
}
	M_MoveColorAfter(SKINCOLOR_SD2RED, SKINCOLOR_STTORANGE)
	
skincolors[SKINCOLOR_KCBLUE] = {
	name = "KCBlue",
	ramp = {0, 145, 147, 148, 149, 149, 149, 150, 150, 154, 158, 159, 253, 253, 254, 31},
	invcolor = SKINCOLOR_YELLOW,
	invshade = 9,
	chatcolor = V_BLUEMAP,
	accessible = true
}
	M_MoveColorAfter(SKINCOLOR_KCBLUE, SKINCOLOR_SD2RED)
	
skincolors[SKINCOLOR_KCORANGE] = {
	name = "KCOrange",
	ramp = {0, 217, 65, 75, 53, 55, 55, 56, 57, 58, 59, 61, 42, 45, 47, 31},
	invcolor = SKINCOLOR_BLUE,
	invshade = 9,
	chatcolor = V_ORANGEMAP,
	accessible = true
}
	M_MoveColorAfter(SKINCOLOR_KCORANGE, SKINCOLOR_KCBLUE)
	
skincolors[SKINCOLOR_KCRED] = {
	name = "KCRed",
	ramp = {0, 208, 209, 210, 32, 32, 33, 33, 204, 204, 205, 206, 207, 207, 207, 31},
	invcolor = SKINCOLOR_SKY,
	invshade = 9,
	chatcolor = V_RUBYMAP,
	accessible = true
}
	M_MoveColorAfter(SKINCOLOR_KCRED, SKINCOLOR_KCORANGE)
	
skincolors[SKINCOLOR_KCWHITE] = {
	name = "KCWhite",
	ramp = {0, 212, 213, 212, 212, 241, 241, 13, 13, 15, 17, 19, 21, 24, 26, 31},
	invcolor = SKINCOLOR_SILVER,
	invshade = 9,
	chatcolor = V_CLOUDYMAP,
	accessible = true
}
	M_MoveColorAfter(SKINCOLOR_KCWHITE, SKINCOLOR_KCRED)

skincolors[SKINCOLOR_S3DBLUE] = {
	name = "S3DBlue",
	ramp = {0, 129, 133, 135, 136, 136, 136, 137, 155, 156, 138, 159, 253, 254, 30, 31},
	invcolor = SKINCOLOR_YELLOW,
	invshade = 9,
	chatcolor = V_BLUEMAP,
	accessible = true
}
	M_MoveColorAfter(SKINCOLOR_S3DBLUE, SKINCOLOR_KCWHITE)
	
skincolors[SKINCOLOR_S3DORANGE] = {
	name = "S3DOrange",
	ramp = {0, 48, 64, 65, 66, 67, 67, 68, 68, 69, 69, 70, 237, 239, 29, 31},
	invcolor = SKINCOLOR_CORNFLOWER,
	invshade = 9,
	chatcolor = V_ORANGEMAP,
	accessible = true
}
	M_MoveColorAfter(SKINCOLOR_S3DORANGE, SKINCOLOR_S3DBLUE)
	
skincolors[SKINCOLOR_S3DRED] = {
	name = "S3DRed",
	ramp = {0, 209, 221, 34, 34, 34, 58, 59, 60, 60, 61, 62, 70, 46, 29, 31},
	invcolor = SKINCOLOR_SKY,
	invshade = 9,
	chatcolor = V_REDMAP,
	accessible = true
}
	M_MoveColorAfter(SKINCOLOR_S3DRED, SKINCOLOR_S3DORANGE)
	
//skincolors[SKINCOLOR_MANIASKY] = {
//	name = "ManiaSky",
//	ramp = {0, 129, 130, 131, 132, 133, 134, 135, 136, 151, 154, 156, 157, 159, 254, 31},
//	invcolor = SKINCOLOR_YELLOW,
//	invshade = 9,
//	chatcolor = V_SKYMAP,
//	accessible = true
//}
//	M_MoveColorAfter(SKINCOLOR_MANIASKY, SKINCOLOR_S3DRED)

//skincolors[SKINCOLOR_MANIAORANGE] = {
//	name = "ManiaOrange",
//	ramp = {0, 80, 49, 51, 53, 54, 55, 56, 58, 59, 60, 61, 62, 63, 70, 31},
//	invcolor = SKINCOLOR_BLUE,
//	invshade = 9,
//	chatcolor = V_ORANGEMAP,
//	accessible = true
//}
//	M_MoveColorAfter(SKINCOLOR_MANIAORANGE, SKINCOLOR_MANIASKY)